| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
SqlDB::Access Class Referenceabstract
General

To access a connected Database. More...

`#include <sqldbaccess.h>`

Inheritance diagram for SqlDB::Access:
[legend]

## Public Member Functions
virtual | ~Access ()
virtual void | close ()=0
virtual bool | commit ()=0
ConnectionData & | connectionData ()
const ConnectionData & | connectionData () const
const char * | dbType () const
virtual BufferString | errMsg () const =0
virtual void | getColumnNames (const char *tablename, BufferStringSet &columnnames) const =0
virtual bool | isOK () const =0
virtual bool | isOpen () const =0
| mOD_DisableCopy (Access)
virtual bool | open ()=0

## Protected Member Functions
| Access (const char *qtyp, const char *dbtype)

## Protected Attributes
ConnectionData & | cd_
BufferString | dbtype_

## Detailed Description

To access a connected Database.

<>

## Constructor & Destructor Documentation

## ◆ ~Access()

virtual SqlDB::Access::~Access | ( |  | ) |
| virtual

## ◆ Access()

SqlDB::Access::Access | ( | const char * | qtyp,
|  | const char * | dbtype )
| protected

## Member Function Documentation

## ◆ close()

virtual void SqlDB::Access::close | ( |  | ) |
| pure virtual

Implemented in SqlDB::AccessImpl.

## ◆ commit()

virtual bool SqlDB::Access::commit | ( |  | ) |
| pure virtual

Implemented in SqlDB::AccessImpl.

## ◆ connectionData() [1/2]

ConnectionData & SqlDB::Access::connectionData | ( |  | ) |
| inline

## ◆ connectionData() [2/2]

const ConnectionData & SqlDB::Access::connectionData | ( |  | ) | const
| inline

## ◆ dbType()

const char * SqlDB::Access::dbType | ( |  | ) | const
| inline

## ◆ errMsg()

virtual BufferString SqlDB::Access::errMsg | ( |  | ) | const
| pure virtual

Implemented in SqlDB::AccessImpl.

## ◆ getColumnNames()

virtual void SqlDB::Access::getColumnNames | ( | const char * | tablename,
|  | BufferStringSet & | columnnames ) const
| pure virtual

Implemented in SqlDB::AccessImpl.

## ◆ isOK()

virtual bool SqlDB::Access::isOK | ( |  | ) | const
| pure virtual

Implemented in SqlDB::AccessImpl.

## ◆ isOpen()

virtual bool SqlDB::Access::isOpen | ( |  | ) | const
| pure virtual

Implemented in SqlDB::AccessImpl.

## ◆ mOD_DisableCopy()

SqlDB::Access::mOD_DisableCopy | ( | Access |  | ) |

## ◆ open()

virtual bool SqlDB::Access::open | ( |  | ) |
| pure virtual

Implemented in SqlDB::AccessImpl, and SqlDB::ODBCAccess.

## Member Data Documentation

## ◆ cd_

ConnectionData& SqlDB::Access::cd_
| protected

## ◆ dbtype_

BufferString SqlDB::Access::dbtype_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025